From 0861c3e55de3a07829c793560554c655b8ea6b82 Mon Sep 17 00:00:00 2001
From: =?utf-8?q?Lars=20D=C9=AA=E1=B4=87=E1=B4=84=E1=B4=8B=E1=B4=8F=E1=B4=A1=20=E8=BF=AA=E6=8B=89=E6=96=AF?= <daxim@cpan.org>
Date: Tue, 23 Jun 2009 16:46:45 +0200
Subject: [PATCH] RT #19722: docs about how encoding is handled

---
 lib/XML/Atom/SimpleFeed.pm |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/lib/XML/Atom/SimpleFeed.pm b/lib/XML/Atom/SimpleFeed.pm
index d401148..2c81def 100644
--- a/lib/XML/Atom/SimpleFeed.pm
+++ b/lib/XML/Atom/SimpleFeed.pm
@@ -700,6 +700,8 @@ The C<source> element is not and may never be supported.
 
 Nothing is done to ensure that text constructs with type C<xhtml> and entry contents using either that or an XML media type are well-formed. So far, this is by design. You should strongly consider using an XML writer if you want to include content with such types in your feed.
 
+The XML representation of the feed is encoded in C<us-ascii> only, characters outside this repertoire are encoded as decimal numeric character references, e.g. C<&#12345;>. This makes output files robust against misconfigured webservers that produce wrong headers. As this module does not depend on an external XML writer, but uses a minimal serialiser internally, it also helps reduce its complexity. Encoding should not matter; feed consuming software will just do the right thing. But sometimes it is convenient to be able to read the XML source without the confusing entities. In that case, filter it through an external tool for pretty-printing, e.g. C<xmllint --format --encode utf-8>, or programmatically through an XML library, e.g. L<XML::LibXML::Document/"setEncoding">.
+
 If you find bugs or you have feature requests, please report them to L<mailto:bug-xml-atom-simplefeed@rt.cpan.org>, or through the web interface at L<http://rt.cpan.org>.
 
 
-- 
1.6.3

